<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubscriptionSelection StructType
 * @subpackage Structs
 */
class SubscriptionSelection extends AbstractStructBase
{
    /**
     * The Features
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfFeatureInfo
     */
    public $Features;
    /**
     * Constructor method for SubscriptionSelection
     * @uses SubscriptionSelection::setFeatures()
     * @param \ArrayType\ArrayOfFeatureInfo $features
     */
    public function __construct(\ArrayType\ArrayOfFeatureInfo $features = null)
    {
        $this
            ->setFeatures($features);
    }
    /**
     * Get Features value
     * @return \ArrayType\ArrayOfFeatureInfo|null
     */
    public function getFeatures()
    {
        return $this->Features;
    }
    /**
     * Set Features value
     * @param \ArrayType\ArrayOfFeatureInfo $features
     * @return \StructType\SubscriptionSelection
     */
    public function setFeatures(\ArrayType\ArrayOfFeatureInfo $features = null)
    {
        $this->Features = $features;
        return $this;
    }
}
